AuctionValue = LibStub("AceAddon-3.0"):NewAddon("AuctionValue", "AceConsole-3.0", "AceEvent-3.0")
local AV = AuctionValue

function AV:OnInitialize()
	AV:RegisterEvent("ADDON_LOADED")	
	AV:RegisterChatCommand("auctionvalue", "Slash")
	AV:RegisterChatCommand("av", "Slash")
end

function AV:Slash(input)
	local colorf = "|cffffff00%s|r"
	if AVLastAuctionValue then
		AV:Print(AVLastAuctionValue ~= 0 and format(colorf .. " |cff8888ff%s|r", "Last total value of auctions:", GetDenominationsFromCopper(AVLastAuctionValue)) or format(colorf, "You have no known auctions."))
	else
		AV:Print(format(colorf, "Please visit the auction house first."))
	end
end

function AV:ADDON_LOADED(event, addon)
	if addon == "Blizzard_AuctionUI"  then
		AV:InitializeFrame()		
		AV:RegisterEvent("AUCTION_OWNED_LIST_UPDATE")
	end
end

function AV:AUCTION_OWNED_LIST_UPDATE()
	local value = 0
	for i=1, GetNumAuctionItems("owner") do
		value = value + select(9, GetAuctionItemInfo("owner", i))
	end
	
	AVLastAuctionValue = value		
	MoneyFrame_Update(AuctionValueDisplay_Money, value)
end

function AV:InitializeFrame()
	local f = CreateFrame("Frame", "AuctionValueDisplay", AuctionFrameAuctions)
	f:SetWidth(200)
	f:SetHeight(20)
	f:SetPoint("TOPLEFT", AuctionsCreateAuctionButton, "BOTTOMRIGHT", 15, -5)
	
	local text = f:CreateFontString("AuctionValueDisplay_Text", "OVERLAY")
	text:SetFontObject(GameFontNormal)
	text:SetText("Buyout total:")
	text:SetPoint("LEFT")
	
	local money = CreateFrame("Frame", "AuctionValueDisplay_Money", f, "SmallMoneyFrameTemplate")
	money:SetWidth(181)
	money:SetHeight(18)
	money:SetPoint("LEFT", text, "RIGHT", 3, 0)	
	money:SetScript("OnShow", nil)
	money:SetScript("OnEvent", nil)
	getglobal(money:GetName().."GoldButton"):SetScript("OnClick", nil)	
	getglobal(money:GetName().."SilverButton"):SetScript("OnClick", nil)
	getglobal(money:GetName().."CopperButton"):SetScript("OnClick", nil)
end
